summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2017-01-25 19:50:51 -0800
committerZac Medico <zmedico@gentoo.org>2017-01-25 19:55:29 -0800
commit951edfe35237a14c0a06d86dc85fcced23d1c06e (patch)
tree069aa93960d130604173b02a27434900848e84a8 /dev-python/flask
parentgnome-extra/chrome-gnome-shell: Fix python USE dependencies for requests (diff)
downloadgentoo-951edfe35237a14c0a06d86dc85fcced23d1c06e.tar.gz
gentoo-951edfe35237a14c0a06d86dc85fcced23d1c06e.tar.bz2
gentoo-951edfe35237a14c0a06d86dc85fcced23d1c06e.zip
dev-python/flask: version bump to 0.12
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-python/flask')
-rw-r--r--dev-python/flask/Manifest1
-rw-r--r--dev-python/flask/flask-0.12.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/dev-python/flask/Manifest b/dev-python/flask/Manifest
index 87a864de5d3..6d24611576a 100644
--- a/dev-python/flask/Manifest
+++ b/dev-python/flask/Manifest
@@ -1,3 +1,4 @@
DIST Flask-0.10.1.tar.gz 544247 SHA256 4c83829ff83d408b5e1d4995472265411d2c414112298f2eb4b359d9e4563373 SHA512 0008d62d03a46b071c7d0510513d011a9bfd2b77df7f677371a446ca9805d16b1ee5e17dd8dd7cde6443a629370234e44735e20381de20a7da385969797f053f WHIRLPOOL f30a306ed00fe6d4c8e47b781c556c576b99b3545f833ae06f6b778d91c3127dc0adcc34d48221a0f1db1bb1633f2329d6085b7a4550afc672530525fdff474f
DIST Flask-0.11.1.tar.gz 564993 SHA256 b4713f2bfb9ebc2966b8a49903ae0d3984781d5c878591cf2f7b484d28756b0e SHA512 62168dea0d44a1fcf862373def1f6d55d53145800cf353634b108bef2fcf9170b75e05d1e7d374e45e7fe261f170b6d7bf503816120dd9034dc19b6b83f1e384 WHIRLPOOL 66c766658e4786dda9105078c839c739ae0bc87f6f72790db65aaf2ad476b0ab36c17041b8d8926844581683cf023ddc26e4bd6510257f5c792e5e8f5ff362b2
DIST Flask-0.11.tar.gz 563928 SHA256 29a7405a7f0de178232fe48cd9b2a2403083bf03bd34eabe12168863d4cdb493 SHA512 77ee9998c96ba5e4eb007b81e04a051a6f8fc3ac837496a8c9e6637fdbff3e6fbba4912919b1cb2c5ed72951cc9fb8eb28d699e3f15de14ecbb51c362111eafc WHIRLPOOL ee65af738a841a05c7d2ad2e9b021e3b0a0e046db706c747802d675d76246701b62d1911fae321aa460f7aafd17274b21177fd2cc5c647383ac6b6eba37cd36d
+DIST Flask-0.12.tar.gz 531923 SHA256 93e803cdbe326a61ebd5c5d353959397c85f829bec610d59cb635c9f97d7ca8b SHA512 b8e9e005a850fcba413ad151998768ea0facb68f05855a1934cc6e4de1438cb59a4dd1bc74d2b04d52b3e837afa0a7785e98ae6c5af363a894c2be64773113f0 WHIRLPOOL df0df8db12b18b50d9ddf43ae925717bf4a67179af1d387020e73d4fb5f0c04c6cc1d6c83504d8dc5cbcb4dc11dcb0b63724499bd3c5b820feb181418d965138
diff --git a/dev-python/flask/flask-0.12.ebuild b/dev-python/flask/flask-0.12.ebuild
new file mode 100644
index 00000000000..1e0167d9f04
--- /dev/null
+++ b/dev-python/flask/flask-0.12.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy{,3} )
+
+inherit distutils-r1
+
+MY_PN="Flask"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A microframework based on Werkzeug, Jinja2 and good intentions"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+HOMEPAGE="https://github.com/pallets/flask/"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples test"
+
+RDEPEND=">=dev-python/blinker-1[${PYTHON_USEDEP}]
+ >=dev-python/werkzeug-0.7[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.4[${PYTHON_USEDEP}]
+ >=dev-python/itsdangerous-0.21[${PYTHON_USEDEP}]
+ >=dev-python/click-2[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+ # Prevent un-needed d'loading
+ sed -e "s/ 'sphinx.ext.intersphinx',//" -i docs/conf.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ PYTHONPATH=${S}/examples/flaskr:${S}/examples/minitwit${PYTHONPATH:+:${PYTHONPATH}} \
+ py.test -v || die "Testing failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ use doc && HTML_DOCS=( docs/_build/html/. )
+
+ distutils-r1_python_install_all
+}